//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class CLASSTAG_WebCamTextureHelperWrap
{
	public static void Register(LuaState L)
	{
		L.BeginStaticLibs("WebCamTextureHelper");
		L.RegFunction("GetNewWebCamTexture",FUNCTAG_GetNewWebCamTexture);
		L.RegVar("WebCamDevices",FUNCTAG_get_WebCamDevices, null);
		L.RegVar("HasWebCamDevices",FUNCTAG_get_HasWebCamDevices, null);
		L.EndStaticLibs();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_GetNewWebCamTexture(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 4);
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 1);
			int arg1 = (int)LuaDLL.luaL_checknumber(L, 2);
			bool arg2 = LuaDLL.luaL_checkboolean(L, 3);
			int arg3 = (int)LuaDLL.luaL_checknumber(L, 4);
			UnityEngine.WebCamTexture o = CLASSTAG_WebCamTextureHelper.FUNCTAG_GetNewWebCamTexture(arg0, arg1, arg2, arg3);
			ToLua.Push(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_WebCamDevices(IntPtr L)
	{
		try
		{
			ToLua.Push(L, CLASSTAG_WebCamTextureHelper.WebCamDevices);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_HasWebCamDevices(IntPtr L)
	{
		try
		{
			LuaDLL.lua_pushboolean(L, CLASSTAG_WebCamTextureHelper.HasWebCamDevices);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}
}

